# Uses of Enum
org.apache.wiki.util.comparators.HumanComparator.CharType

Packages that use HumanComparator.CharType
Package
Description
org.apache.wiki.util.comparators

## Uses of HumanComparator.CharType in org.apache.wiki.util.comparators

Methods in org.apache.wiki.util.comparators that return HumanComparator.CharType
Modifier and Type
Method
Description
`HumanComparator.CharType[]`
HumanComparator.`getSortOrder()`
`static HumanComparator.CharType`
HumanComparator.CharType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static HumanComparator.CharType[]`
HumanComparator.CharType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.wiki.util.comparators with parameters of type HumanComparator.CharType
Modifier and Type
Method
Description
`void`
HumanComparator.`setSortOrder(HumanComparator.CharType[] sortOrder)`
Set the order in which letters, numbers and everything else is presented.
Constructors in org.apache.wiki.util.comparators with parameters of type HumanComparator.CharType
Modifier
Constructor
Description
``
`HumanComparator(HumanComparator.CharType[] sortOrder)`
Constructor specifying all the character type order.